Package org.eclipse.microprofile.openapi.apps.petstore.data

# Class StoreData

java.lang.Object
org.eclipse.microprofile.openapi.apps.petstore.data.StoreData

public class StoreData extends Object

## Constructor Summary

Constructors
Constructor
Description
`StoreData()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`deleteOrder(long orderId)`
`Order`
`findOrderById(long orderId)`
`Order`
`placeOrder(Order order)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StoreData

public StoreData()

## Method Details

### findOrderById

public Order findOrderById(long orderId)

### placeOrder

public Order placeOrder(Order order)

### deleteOrder

public boolean deleteOrder(long orderId)